# $Revision: 1.7 $, $Date: 2011/08/15 17:30:45 $
#
# Conditional build:
%bcond_with		gtk3		# build GTK+3, disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Default session manager for LXDE
Name:		lxsession
Version:	0.4.6.1
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	e456b64c5ab3652a4dec661ec706dc6e
URL:		http://wiki.lxde.org/en/LXSession
BuildRequires:	dbus-devel
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXSession is the default session manager of LXDE.

LXSession automatically starts a set of applications and sets up a
working desktop environment. Moreover, the session manager is able to
remember the applications in use when a user logs out and to restart
them the next time the user logs in.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxlock
%attr(755,root,root) %{_bindir}/lxsession*
%{_datadir}/lxsession
%{_mandir}/man1/lxsession*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxsession.spec,v $
Revision 1.7  2011/08/15 17:30:45  glen
- rebuild

Revision 1.6  2011/08/15 15:08:14  lmasko
- Locale fix.

Revision 1.5  2011/08/15 07:51:53  glen
- up to 0.4.6.1, added gtk3 bcond

Revision 1.4  2011/05/27 09:45:56  glen
- up to 0.4.5

Revision 1.3  2010/09/14 19:48:55  glen
- more precise urls

Revision 1.2  2010/07/30 13:54:52  sparky
- BR: dbus-devel, gettext-devel, intltool, pkgconfig
- dropped BR: menu-cache-devel

Revision 1.1  2010/07/29 16:18:16  witekfl
- new
